#
# spec file for package gle (Version 3.0.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freeglut freeglut-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libdrm libdrm-devel libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gle
BuildRequires:  freeglut-devel libdrm-devel libstdc++-devel xorg-x11
License:        FSR, Other License(s), see package
Group:          System/Libraries
Autoreqprov:    on
Version:        3.0.6
Release:        661.2
Source:         http://download.sourceforge.net/gle/gle-%{version}.tar.bz2
Patch:          gle-%{version}.dif
URL:            http://linas.org/gle/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        The GLE Tubing and Extrusion Library

%description
The GLE Tubing and Extrusion Library is a graphics application
programming interface (API). The library consists of a number of C
language subroutines for drawing tubing and extrusions. The library is
distributed in source code form in a package that includes
documentation, a VRML proposal, make files, and full source code and
header files. It uses the OpenGL (TM) programming API to perform the
actual drawing of the tubing and extrusions.



Authors:
--------
    Linas Vepstas <linas@linas.org>
    Mark Kilgard <mjk@nvidia.com>

%debug_package
%prep
%setup
%patch
find -name ".cvsignore" | xargs rm -fv

%build
#%{?suse_update_config:%{suse_update_config}}
libtoolize --force
aclocal
automake
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure \
		--mandir=%{_mandir} \
		--prefix=%{_prefix} \
		--infodir=%{_infodir} \
		--libdir=%_libdir \
		--sysconfdir=%{_sysconfdir}
make
if test $ABUILD_RUN_TEST_SUITES = true ; then
	make test
fi

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT/usr/share/doc/gle

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc AUTHORS README doc/gle-*.lsm
%doc doc/html
%doc %{_mandir}/man3/*
%{_libdir}/lib*
%{_prefix}/include/GL

%changelog -n gle
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Nov 11 2004 - ro@suse.de
- fixed file list
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Thu Aug 14 2003 - nadvornik@suse.cz
- added /usr/include/GL to filelist [#28806]
* Thu May 22 2003 - ro@suse.de
- remove cvsignore files
- remove unpackaged files from buildroot
* Mon May 12 2003 - ro@suse.de
- added libstdc++-devel to neededforbuild
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Fri Apr 26 2002 - coolo@suse.de
- use %%_libdir
* Mon Nov 26 2001 - nadvornik@suse.cz
- update to 3.0.6:
- C++ wrapper fixes
- set prefix to /usr
* Thu Nov 15 2001 - nadvornik@suse.cz
- fixed to compile
* Thu Nov 08 2001 - ro@suse.de
- use mesa-devel-packages in neededforbuild
* Tue Nov 06 2001 - nadvornik@suse.cz
- fixed to compile with new automake
* Wed Jun 06 2001 - nadvornik@suse.cz
- fixed to compile with new autoconf
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Mon Mar 12 2001 - nadvornik@suse.cz
- added mesaglut mesaglut-devel xf86 to neededforbuild
* Fri Mar 09 2001 - ro@suse.de
- added mesaglu
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Mon Dec 18 2000 - ro@suse.de
- bzipped source
- fixed to compile
* Mon Nov 20 2000 - grimmer@suse.de
- initial package (version 0.3.0)
